Package com.xmlmind.util

## Class XMLUtil

- java.lang.Object
- - com.xmlmind.util.XMLUtil

-     public final class XMLUtil
      extends Object

  A collection of utility functions (static methods) related to XML.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static HashSet<String>` | `HTML_NO_END_TAG` | The set of local names of HTML (any version) elements for which the end tag must be omitted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SAXParser` | `newSAXParser()` | Equivalent to `newSAXParser(true, false, false)`.
    `static SAXParser` | `newSAXParser​(boolean namespaceAware, boolean validating, boolean xIncludeAware)` | Convenience method: creates and returns a SAXParser.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTML_NO_END_TAG

          public static final HashSet<String> HTML_NO_END_TAG

      The set of local names of HTML (any version) elements for which the end tag must be omitted.

      For any other HTML element, including custom elements, the end tag must not be omitted.

  - ### Method Detail

    - #### newSAXParser

          public static SAXParser newSAXParser()
                                        throws ParserConfigurationException,
                                               SAXException

      Equivalent to `newSAXParser(true, false, false)`.
      Throws:
        `ParserConfigurationException`
        `SAXException`

    - #### newSAXParser

          public static SAXParser newSAXParser​(boolean namespaceAware,
                                               boolean validating,
                                               boolean xIncludeAware)
                                        throws ParserConfigurationException,
                                               SAXException

      Convenience method: creates and returns a SAXParser.
      Parameters:
        `namespaceAware` - specifies whether the parser produced by this code will provide support for XML namespaces
        `validating` - specifies whether the parser produced by this code will validate documents against their DTD
        `xIncludeAware` - specifies whether the parser produced by this code will process XIncludes
      Returns:
        newly created SAXParser
      Throws:
        `ParserConfigurationException` - if a parser cannot be created which satisfies the requested configuration
        `SAXException` - for SAX errors